curl --request GET \
--url https://api.example.com/cabinet/admin/remnawave/system \
--header 'Authorization: Bearer <token>'{
"system": {
"users_online": 123,
"total_users": 123,
"active_connections": 123,
"nodes_online": 123,
"users_last_day": 123,
"users_last_week": 123,
"users_never_online": 123,
"total_user_traffic": 123
},
"users_by_status": {},
"server_info": {
"cpu_cores": 123,
"cpu_physical_cores": 123,
"memory_total": 123,
"memory_used": 123,
"memory_free": 123,
"memory_available": 123,
"uptime_seconds": 123
},
"bandwidth": {
"realtime_download": 123,
"realtime_upload": 123,
"realtime_total": 123
},
"traffic_periods": {
"last_2_days": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"last_7_days": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"last_30_days": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"current_month": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"current_year": {
"current": 123,
"previous": 123,
"difference": "<string>"
}
},
"nodes_realtime": [
{}
],
"nodes_weekly": [
{}
],
"last_updated": "2023-11-07T05:31:56Z"
}Get full system statistics from RemnaWave.
curl --request GET \
--url https://api.example.com/cabinet/admin/remnawave/system \
--header 'Authorization: Bearer <token>'{
"system": {
"users_online": 123,
"total_users": 123,
"active_connections": 123,
"nodes_online": 123,
"users_last_day": 123,
"users_last_week": 123,
"users_never_online": 123,
"total_user_traffic": 123
},
"users_by_status": {},
"server_info": {
"cpu_cores": 123,
"cpu_physical_cores": 123,
"memory_total": 123,
"memory_used": 123,
"memory_free": 123,
"memory_available": 123,
"uptime_seconds": 123
},
"bandwidth": {
"realtime_download": 123,
"realtime_upload": 123,
"realtime_total": 123
},
"traffic_periods": {
"last_2_days": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"last_7_days": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"last_30_days": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"current_month": {
"current": 123,
"previous": 123,
"difference": "<string>"
},
"current_year": {
"current": 123,
"previous": 123,
"difference": "<string>"
}
},
"nodes_realtime": [
{}
],
"nodes_weekly": [
{}
],
"last_updated": "2023-11-07T05:31:56Z"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Full system statistics response.
System summary statistics.
Show child attributes
Show child attributes
Server hardware info.
Show child attributes
Realtime bandwidth statistics.
Show child attributes
Traffic statistics for multiple periods.
Show child attributes